CHECKUPDATES(8)

NOME
checkupdates - exibe de forma segura uma lista de atualizações pendentes

SINOPSE

checkupdates [opções]

DESCRIÇÃO

checkupdates verifica se há atualizações pendentes usando uma base de dados do pacman separada localizada em TMPDIR se CHECKUPDATES_DB não estiver definido e gera uma lista de atualizações com a versão antiga e a nova.

OPÇÕES

-c, --change
    Verifica apenas novas atualizações disponíveis, imprime a lista de atualizações disponíveis apenas se for diferente da última vez que checkupdates foi executado com essa opção.

-d, --download
    Baixa quaisquer atualizações pendentes para o cache do pacman.

-h, --help
    Exibe a sintaxe e as opções de linha de comando.

--nocolor
    Não coloriza a saída. A cor deve estar habilitada em pacman.conf para que a listagem seja colorida para começar.

-n, --nosync
    Não sincroniza a base de dados temporária, funciona melhor quando a base de dados temporária é atualizada regularmente por outros meios, como cronjob ou timer do sistema.

-V, --version
    Exibe informações da versão.

AMBIENTE

CHECKUPDATES_DB
    Sobrescreve o local padrão da base de dados temporária ${TMPDIR:-/tmp}/checkup-db-${UID}.

CHECKUPDATES_CHANGE
    estado do local do arquivo para a opção -c/--change.

TMPDIR
    Sobrescreve o diretório temporário padrão /tmp.

XDG_STATE_HOME
    Sobrescreve o diretório de estado padrão $HOME/.local/state.

ERROS

Ao sair, checkupdates vai retornar um dos seguintes códigos de erro.

0
    Condição de saída normal.

1
    Causa desconhecida de falha.

2
    Nenhuma atualização está disponível.

VEJA TAMBÉM

pacman(8), pacman.conf(5)

BUGS

Bugs? Você deve estar brincando; não há erros neste software. Mas se por acaso estivermos errados, envie um relatório de erro com o máximo de detalhes possível para https://gitlab.archlinux.org/pacman/pacman-contrib/-/issues/new.

AUTORES

Atuais mantenedores:

    • Johannes Löthberg <johannes@kyriasis.com>

    • Daniel M. Capella <polyzen@archlinux.org>

Para contribuidores adicionais, use git shortlog -s no repositório do pacman-contrib.git.

TRADUÇÃO
A tradução para português brasileiro desta página man foi criada por Rafael Fontenelle <rafaelff@gnome.org>

Esta tradução é uma documentação livre; leia a Licença Pública Geral GNU Versão 3 (https://www.gnu.org/licenses/gpl-3.0.html) ou posterior para as condições de direitos autorais. Nenhuma responsabilidade é aceita.

Se você encontrar algum erro na tradução desta página de manual, envie um e-mail para a lista de discussão de tradutores (debian-l10n-portuguese@lists.debian.org).